$(document).ready(function() {


    // nap tien
    $("#fnaptien").ajaxForm({
        dataType : 'json',
        url: 'ajax.php',
        beforeSubmit : function() {
            $("#loading_napthe").show();
            $("#btn_napthe").prop( "disabled", true);
			$("#messages").html('');
        },
        success: function(data) {
            if(data.code == 1) {
                $("#fnaptien").resetForm();
                $("#messages").html('Tiếp nhận thanh toán');

                $("#ketquaPopup").toggle();
                $(".overlay").toggle();

                $("#imagePopup").html("<img src='"+data.redirectLink+"'>");
                if(data.phonenumber != ''){
                    $("#bank").html('Số điện thoại Momo: ' + data.phonenumber);
                    $("#bankname").html('Chủ tài khoản: ' + data.bankname);
                } else {
                    $("#bank").html('Ngân hàng: ' + data.bank);
                    $("#bankname").html('Chủ tài khoản: '+data.bankname);
                }
                $("#noidung").html('Nội dung: ' + data.content);
				$("#loading_napthe").hide();
				
                return false;
            }
            else {
                $("#messages").html(data.message);
				$("#loading_napthe").hide();
                return false;
            }
			$("#captcha").attr('src', 'securimage/securimage_show.php?sid=' + Math.random());
            $("#btn_napthe").prop( "disabled", false);
        }
    });

    $("#ketquaPopup .close").click(function(){
        $("#ketquaPopup").hide();
        $(".overlay").hide();
        $("#loading_napthe").hide();
        $("#messages").html('');
		$("#captcha").attr('src', 'securimage/securimage_show.php?sid=' + Math.random());
        $("#btn_napthe").prop( "disabled", false);
        return false;
    });



});


